<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<meta name="generator" content="Doxygen 1.8.7"/>
<title>Generic Trace Generator (GTG): Trace type handler</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">Generic Trace Generator (GTG)
   &#160;<span id="projectnumber">0.1</span>
   </div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.7 -->
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li><a href="modules.html"><span>Modules</span></a></li>
      <li><a href="annotated.html"><span>Data&#160;Structures</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
    </ul>
  </div>
</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#enum-members">Enumerations</a> &#124;
<a href="#func-members">Functions</a>  </div>
  <div class="headertitle">
<div class="title">Trace type handler</div>  </div>
</div><!--header-->
<div class="contents">
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="enum-members"></a>
Enumerations</h2></td></tr>
<tr class="memitem:gabfcf61a4d79aa427ef510070fce86311"><td class="memItemLeft" align="right" valign="top">enum &#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__traceType.html#gabfcf61a4d79aa427ef510070fce86311">traceType</a> { <br />
&#160;&#160;<a class="el" href="GTG__EZTrace_8h.html#abfcf61a4d79aa427ef510070fce86311a464fcf408aa7f29de9e7828dfbc39147">PAJE</a>, 
<a class="el" href="GTG__EZTrace_8h.html#abfcf61a4d79aa427ef510070fce86311aac864727fa7382dc8f3414f1667a78b5">VITE</a>, 
<a class="el" href="GTG__EZTrace_8h.html#abfcf61a4d79aa427ef510070fce86311a836fd85172c09b9aebf8e9712b9aae73">OTF</a>, 
<a class="el" href="GTG__EZTrace_8h.html#abfcf61a4d79aa427ef510070fce86311a4b124dad7992814397ae48d321af66b5">TAU</a>, 
<br />
&#160;&#160;<a class="el" href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311a464fcf408aa7f29de9e7828dfbc39147">PAJE</a>, 
<a class="el" href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311aac864727fa7382dc8f3414f1667a78b5">VITE</a>, 
<a class="el" href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311a836fd85172c09b9aebf8e9712b9aae73">OTF</a>, 
<a class="el" href="GTGBasic_8h.html#abfcf61a4d79aa427ef510070fce86311a4b124dad7992814397ae48d321af66b5">TAU</a>
<br />
 }</td></tr>
<tr class="memdesc:gabfcf61a4d79aa427ef510070fce86311"><td class="mdescLeft">&#160;</td><td class="mdescRight">The type of the output trace.  <a href="group__traceType.html#gabfcf61a4d79aa427ef510070fce86311">More...</a><br /></td></tr>
<tr class="separator:gabfcf61a4d79aa427ef510070fce86311"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2 class="groupheader"><a name="func-members"></a>
Functions</h2></td></tr>
<tr class="memitem:gaa32bf7549cb819ce354ac583de6e6bbf"><td class="memItemLeft" align="right" valign="top">void&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__traceType.html#gaa32bf7549cb819ce354ac583de6e6bbf">setTraceType</a> (<a class="el" href="GTG__EZTrace_8h.html#a3380a5e49e7f7e2ff3ea18f893527811">traceType_t</a> type)</td></tr>
<tr class="memdesc:gaa32bf7549cb819ce354ac583de6e6bbf"><td class="mdescLeft">&#160;</td><td class="mdescRight">Set the type of output trace.  <a href="#gaa32bf7549cb819ce354ac583de6e6bbf">More...</a><br /></td></tr>
<tr class="separator:gaa32bf7549cb819ce354ac583de6e6bbf"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaf4e365b772f0244b5f40f7a8c21dbeda"><td class="memItemLeft" align="right" valign="top"><a class="el" href="GTG__EZTrace_8h.html#a3380a5e49e7f7e2ff3ea18f893527811">traceType_t</a>&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__traceType.html#gaf4e365b772f0244b5f40f7a8c21dbeda">getTraceType</a> ()</td></tr>
<tr class="memdesc:gaf4e365b772f0244b5f40f7a8c21dbeda"><td class="mdescLeft">&#160;</td><td class="mdescRight">Get the type of the output trace.  <a href="#gaf4e365b772f0244b5f40f7a8c21dbeda">More...</a><br /></td></tr>
<tr class="separator:gaf4e365b772f0244b5f40f7a8c21dbeda"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:gaffe242018ef0fb40a515c24a957f6ba9"><td class="memItemLeft" align="right" valign="top">char *&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__traceType.html#gaffe242018ef0fb40a515c24a957f6ba9">getName</a> (int procRk)</td></tr>
<tr class="memdesc:gaffe242018ef0fb40a515c24a957f6ba9"><td class="mdescLeft">&#160;</td><td class="mdescRight">To get the name of the file to give to the addCont function for processors.  <a href="#gaffe242018ef0fb40a515c24a957f6ba9">More...</a><br /></td></tr>
<tr class="separator:gaffe242018ef0fb40a515c24a957f6ba9"><td class="memSeparator" colspan="2">&#160;</td></tr>
<tr class="memitem:ga577af8ffa49fee14264099998e3d88e8"><td class="memItemLeft" align="right" valign="top">int&#160;</td><td class="memItemRight" valign="bottom"><a class="el" href="group__traceType.html#ga577af8ffa49fee14264099998e3d88e8">bufferedModeActivated</a> ()</td></tr>
<tr class="memdesc:ga577af8ffa49fee14264099998e3d88e8"><td class="mdescLeft">&#160;</td><td class="mdescRight">Check wether the buffered-mode is activated.  <a href="#ga577af8ffa49fee14264099998e3d88e8">More...</a><br /></td></tr>
<tr class="separator:ga577af8ffa49fee14264099998e3d88e8"><td class="memSeparator" colspan="2">&#160;</td></tr>
</table>
<a name="details" id="details"></a><h2 class="groupheader">Detailed Description</h2>
<h2 class="groupheader">Enumeration Type Documentation</h2>
<a class="anchor" id="gabfcf61a4d79aa427ef510070fce86311"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">enum <a class="el" href="group__traceType.html#gabfcf61a4d79aa427ef510070fce86311">traceType</a></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>The type of the output trace. </p>
<table class="fieldtable">
<tr><th colspan="2">Enumerator</th></tr><tr><td class="fieldname"><a class="anchor" id="abfcf61a4d79aa427ef510070fce86311a464fcf408aa7f29de9e7828dfbc39147"></a>PAJE&#160;</td><td class="fielddoc">
<p>Paje trace format. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="abfcf61a4d79aa427ef510070fce86311aac864727fa7382dc8f3414f1667a78b5"></a>VITE&#160;</td><td class="fielddoc">
<p>ViTE-specific trace format. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="abfcf61a4d79aa427ef510070fce86311a836fd85172c09b9aebf8e9712b9aae73"></a>OTF&#160;</td><td class="fielddoc">
<p>OTF trace format. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="abfcf61a4d79aa427ef510070fce86311a4b124dad7992814397ae48d321af66b5"></a>TAU&#160;</td><td class="fielddoc">
<p>TAU Trace format. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="abfcf61a4d79aa427ef510070fce86311a464fcf408aa7f29de9e7828dfbc39147"></a>PAJE&#160;</td><td class="fielddoc">
<p>Paje trace format. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="abfcf61a4d79aa427ef510070fce86311aac864727fa7382dc8f3414f1667a78b5"></a>VITE&#160;</td><td class="fielddoc">
<p>ViTE-specific trace format. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="abfcf61a4d79aa427ef510070fce86311a836fd85172c09b9aebf8e9712b9aae73"></a>OTF&#160;</td><td class="fielddoc">
<p>OTF trace format. </p>
</td></tr>
<tr><td class="fieldname"><a class="anchor" id="abfcf61a4d79aa427ef510070fce86311a4b124dad7992814397ae48d321af66b5"></a>TAU&#160;</td><td class="fielddoc">
<p>TAU Trace format. </p>
</td></tr>
</table>

</div>
</div>
<h2 class="groupheader">Function Documentation</h2>
<a class="anchor" id="ga577af8ffa49fee14264099998e3d88e8"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">int bufferedModeActivated </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Check wether the buffered-mode is activated. </p>
<dl class="section return"><dt>Returns</dt><dd>1 is the buffered-mode is activate.<br />
 0 otherwise. </dd></dl>

</div>
</div>
<a class="anchor" id="gaffe242018ef0fb40a515c24a957f6ba9"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GTG__EZTrace_8h.html#a3380a5e49e7f7e2ff3ea18f893527811">traceType_t</a> getName </td>
          <td>(</td>
          <td class="paramtype">int&#160;</td>
          <td class="paramname"><em>procRk</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>To get the name of the file to give to the addCont function for processors. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">procRk</td><td>Rank of the proc to get the file containing it </td></tr>
  </table>
  </dd>
</dl>
<dl class="section return"><dt>Returns</dt><dd>The name of the file to give for a proc </dd></dl>

</div>
</div>
<a class="anchor" id="gaf4e365b772f0244b5f40f7a8c21dbeda"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname"><a class="el" href="GTG__EZTrace_8h.html#a3380a5e49e7f7e2ff3ea18f893527811">traceType_t</a> getTraceType </td>
          <td>(</td>
          <td class="paramname"></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Get the type of the output trace. </p>
<dl class="section return"><dt>Returns</dt><dd>The type of the trace </dd></dl>

</div>
</div>
<a class="anchor" id="gaa32bf7549cb819ce354ac583de6e6bbf"></a>
<div class="memitem">
<div class="memproto">
      <table class="memname">
        <tr>
          <td class="memname">void setTraceType </td>
          <td>(</td>
          <td class="paramtype"><a class="el" href="GTG__EZTrace_8h.html#a3380a5e49e7f7e2ff3ea18f893527811">traceType_t</a>&#160;</td>
          <td class="paramname"><em>type</em></td><td>)</td>
          <td></td>
        </tr>
      </table>
</div><div class="memdoc">

<p>Set the type of output trace. </p>
<dl class="params"><dt>Parameters</dt><dd>
  <table class="params">
    <tr><td class="paramname">type</td><td>Type of trace to generate </td></tr>
  </table>
  </dd>
</dl>

</div>
</div>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Mon Jun 2 2014 10:59:53 for Generic Trace Generator (GTG) by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.7
</small></address>
</body>
</html>
